from os import getenv
from flask import make_response, request
from slack_sdk import WebClient
from slack_sdk.signature import SignatureVerifier
from slack_sdk.errors import SlackApiError


client = WebClient(token=getenv('SLACK_API_TOKEN'))

def verify_slack(req: request):
    signature_verifier = SignatureVerifier(getenv('SLACK_SIGNING_SECRET'))
    if not signature_verifier.is_valid_request(req.get_data(), req.headers):
        return make_response('invalid request', 403)
