from datetime import datetime
from sqlalchemy import func
from app.factory import db


class WorkEvent(db.Model):
    __tablename__ = 'work_events'

    id = db.Column(db.Integer, primary_key=True)
    create_date = db.Column(db.DateTime, server_default=func.now())
    user = db.Column(db.String(50))
    slack_channel = db.Column(db.String(50))
    work_type = db.Column(db.String(50))
    start_date = db.Column(db.DateTime)
    end_date = db.Column(db.DateTime)
    hours_spent = db.Column(db.Integer)

    def __repr__(self):
        return self.id
